classification
Title: Need readline command and keybinding information
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Evelyn Mitchell, MLModel, docs@python, eric.araujo, georg.brandl, martin.panter, python-dev, terry.reedy
Priority: normal Keywords: easy

Created on 2010-04-21 19:58 by MLModel, last changed 2016-06-10 01:36 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
patch8491 Evelyn Mitchell, 2016-06-08 03:08 review
patch8491a Evelyn Mitchell, 2016-06-08 13:24 review
Messages (8)
msg103902 - (view) Author: Mitchell Model (MLModel) Date: 2010-04-21 19:58
The documentation of the readline module refers to readline initialization files, but does not give any information about their format or the available commands. I realize that this is a standard part of environments that support readline, not anything specific to Python, but as long as the module documentations mentions the init file it should give a link to documentation about it.
msg113032 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-05 19:48
Can you suggest a specific link and a specific location where to add it?
msg114028 - (view) Author: Mitchell Model (MLModel) Date: 2010-08-16 00:05
On Aug 5, 2010, at 3:48 PM, Terry J. Reedy wrote:

> 
> Terry J. Reedy <tjreedy@udel.edu> added the comment:
> 
> Can you suggest a specific link and a specific location where to add it?

I would add a sentence to the first paragraph of the readline doc:

	Readline keybindings may be configured via an initialization file, typically .inputrc in your home directory; see 
http://cnswww.cns.cwru.edu/php/chet/readline/readline.html#SEC9 (or http://www.gnu.org/software/bash/manual/html_node/Readline-Init-File.html) for information about the format and allowable constructs of that file and the capabilities of the readline library in general.

I did a few quick tests and convinced myself that the module's C code's call to rl_initialize actually reads .inputrc (or the value of the environment variable INPUTRC if that is set).

> 
> ----------
> assignee: georg.brandl -> docs@python
> nosy: +docs@python, terry.reedy
> versions:  -Python 2.6
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue8491>
> _______________________________________
msg180962 - (view) Author: Mitchell Model (MLModel) Date: 2013-01-30 02:34
Ping. I just noticed that this is still unresolved in the Python 3.3 docs. This should be closed, with or without my suggested change.
msg267774 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-06-08 04:27
Thanks for the patch. I left a couple review comments.

Also, this new paragraph should be outside the “Note” box, which is specifically about libedit aka Editline, not Gnu Readline.
msg267845 - (view) Author: Evelyn Mitchell (Evelyn Mitchell) * (Python triager) Date: 2016-06-08 13:24
Revised patch following Martin Panter's review comments.
msg268072 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-10 00:46
New changeset e981a4273cf6 by Martin Panter in branch '2.7':
Issue #8491: Add link to Gnu Readline configuration documentation
https://hg.python.org/cpython/rev/e981a4273cf6

New changeset 5bbb021450d7 by Martin Panter in branch '3.5':
Issue #8491: Add link to Gnu Readline configuration documentation
https://hg.python.org/cpython/rev/5bbb021450d7

New changeset 5b904920c2d1 by Martin Panter in branch 'default':
Issue #8491: Merge readline doc from 3.5
https://hg.python.org/cpython/rev/5b904920c2d1
msg268076 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-06-10 01:36
For the record, I removed some trailing spaces and reworded the link in the comitted version.
History
Date User Action Args
2016-06-10 01:36:49martin.pantersetstatus: open -> closed
resolution: fixed
messages: + msg268076

stage: patch review -> resolved
2016-06-10 00:46:32python-devsetnosy: + python-dev
messages: + msg268072
2016-06-08 13:24:05Evelyn Mitchellsetfiles: + patch8491a
nosy: + Evelyn Mitchell
messages: + msg267845

2016-06-08 04:27:32martin.pantersetmessages: + msg267774
stage: needs patch -> patch review
2016-06-08 03:08:35Evelyn Mitchellsetfiles: + patch8491
2016-04-29 10:53:26berker.peksagsetversions: + Python 3.5, Python 3.6, - Python 3.1, Python 3.2, Python 3.3
nosy: + martin.panter

keywords: + easy
type: enhancement
stage: needs patch
2013-01-30 02:34:12MLModelsetmessages: + msg180962
versions: + Python 3.3
2010-08-16 00:05:23MLModelsetmessages: + msg114028
2010-08-05 19:48:03terry.reedysetversions: - Python 2.6
nosy: + terry.reedy, docs@python

messages: + msg113032

assignee: georg.brandl -> docs@python
2010-04-21 21:37:13eric.araujosetnosy: + eric.araujo

versions: + Python 3.2
2010-04-21 19:58:32MLModelcreate